Set-ExecutionPolicy unrestricted
Set-ExecutionPolicy RemoteSigned
$global:Session = $null
function Show-Menu
{
     param (
           [string]$Title = 'My Menu'
     )     
     Write-Host "================ $Title ================"     
     Write-Host "1: Press '1' for Enable/Disable on-send feature."     
     Write-Host "3: Press '2' for get info Get-OwaMailboxPolicy."
     Write-Host "4: Press '3' for remove OwaMailboxPolicy."
     Write-Host "5: Press '4' for check OWAEnabled."
     Write-Host "6: Press '5' for Enable/Disable OWAEnabled property."
     Write-Host "Q: Press 'Q' to quit."
}
function Login {
  cls
  try{
  $UserCredential = Get-Credential -ErrorAction Stop        
  $global:Session = New-PSSession -ConfigurationName Microsoft.Exchange -ConnectionUri https://outlook.office365.com/powershell-liveid/ -Credential $UserCredential -Authentication Basic -AllowRedirection -ErrorVariable ProcessError                  
  if ($ProcessError) {
    'You can not loggin to server'                     
    exit
  }
  else {
        Import-PSSession $global:Session  -AllowClobber -DisableNameChecking -ErrorAction Stop 
        'Session open'
    } 
  }
  catch [Exception]{
     'You can not loggin to server'                     
     exit
   } 
}
function logout {
  if ($global:Session){
    Remove-PSSession $global:Session
    'Session Closed'    
    exit
  }
  else {
      'Session does not open'
  }
  
}
     Login
do
{
     Show-Menu
     $input = Read-Host "Please make a selection"
     switch ($input)
     {
           '1' {
                                    
                    $exists = Get-OWAMailboxPolicy OWAOnSendAddinAllUserPolicy
                    if(-not $exists){
                      New-OWAMailboxPolicy OWAOnSendAddinAllUserPolicy -ErrorAction Stop
                    }
                     $input = Read-Host -Prompt "Do you want enable/disable OnSendAddinsEnabled property? (e) enable or (d) disable"                        
                      If (($input -eq 'e') -or ($input -eq 'E')){
                        Get-OWAMailboxPolicy OWAOnSendAddinAllUserPolicy | Set-OWAMailboxPolicy -OnSendAddinsEnabled:$true              
                      }
                      If (($input -eq 'd') -or ($input -eq 'D')){
                        Get-OWAMailboxPolicy OWAOnSendAddinAllUserPolicy | Set-OWAMailboxPolicy -OnSendAddinsEnabled:$false              
                      }     
                    
                    Get-User -Filter {RecipientTypeDetails -eq 'UserMailbox'} | Set-CASMailbox -OwaMailboxPolicy OWAOnSendAddinAllUserPolicy
                   'Successfully operation Enable on send feature'  
                  break                  
                 
           }  '2' {
                                                            
                #Get-Mailbox                    
                #Get-CASMailbox -Identity "tech-ops"
                Get-OwaMailboxPolicy OWAOnSendAddinAllUserPolicy
                'Successfully operation '     
                break             
           } '3' {
                   
                Enable-OrganizationCustomization      
                $identity = Read-Host -Prompt "What is the Identity?"
                if(-not $identity -or $identity -eq '')
                 {
                    'Error not found identity'                    
                 }                
                 else {
                  Set-CASMailbox -Identity $identity -OwaMailboxPolicy:$null                       
                  Remove-OwaMailboxPolicy -Identity OWAOnSendAddinAllUserPolicy              
                  'Successfully operation'                         
                 }
                break
            } '4' {
                   
                  $identity = Read-Host -Prompt "What is the Identity?"
                  if(-not $identity -or $identity -eq ''){
                      'Error not found identity'
                      exit
                   }else{
                    Get-CASMailbox $identity
                    'Successfully operation'   
                  }    
                  break                                      

            } '5' {
                  $identity = Read-Host -Prompt "What is the Identity?"
                   $input = Read-Host -Prompt "Do you want enable/disable OWAEnabled property? (e) enable or (d) disable"
                   if(-not $identity -or $identity -eq '')
                   {
                      'Error not found identity'                
                   }
                   else{
                      If (($input -eq 'e') -or ($input -eq 'E')){
                        Set-CASMailbox -Identity $identity -OWAEnabled $true
                      }
                      If (($input -eq 'd') -or ($input -eq 'D')){
                        Set-CASMailbox -Identity $identity -OWAEnabled $false
                      }                      
                      'Successfully operation' 
                  }     
                  break             
                   
            } 'q' {
                
              logout              
              return
           }
     }
     pause
}
until ($input -eq 'q')